if (typeof jQuery != 'undefined'){
	$(document).ready(function() {
		$("a.fb").fancybox({
			'hideOnContentClick': true ,
			'zoomSpeedIn': 300,
			'zoomSpeedOut': 300,
			'overlayShow': true,
			'hideOnOverlayClick': true,
			'showCloseButton':true,
			'height': 700,
			'autoDimensions':true,
			'autoScale':true
		});
	});
}
function go_to(){
	var argv = go_to.arguments;
	var argc = go_to.arguments.length;
	if(argc > 1){
		if(confirm(argv[1]))
			window.location.href = argv[0];
	}
	else{
		window.location.href = argv[0];
	}
}

function do_search( text_id ){
	document.location.href='/search/?text=' + document.getElementById( text_id ).value;
}

function IsEmail (obj) {
	obj.value += "";
	if( obj.value.length != 0 ) {

		var comAt = "@";
		if( obj.value.indexOf(comAt, 0) == -1 ) {
			alert("В email-адресе должен присутствовать знак - @.");
			obj.focus();
			return 0;
		}
		var Point = ".";

		if( obj.value.indexOf(Point, 0) == -1 ) {
			alert("В email-адресе должна присутствовать точка.");
			obj.focus();
			return 0;
		}
	}
	return 1;
}

function IsWWW (obj) {
	if( !obj ) return 1;
	obj.value += "";
	if( obj.value.length != 0 ) {

		var http = "http://";
		if( obj.value.indexOf(http, 0) == -1 ) {
			alert("В адресе сайта должно присутствовать http://");
			obj.focus();
			return 0;
		}
		var Point = ".";

		if( obj.value.indexOf(Point, 0) == -1 ) {
			alert("В адресе сайта должна присутствовать точка.");
			obj.focus();
			return 0;
		}
	}
	return 1;
}

// проверка есть ли текст?
function IsText(obj,msg) {
	if( obj.value.length == 0 ) {
		alert(msg);
		obj.focus();
		return 0;
	}
	return 1;
}

// проверка объявлений
function SubmitDoska() {
	if( IsText(document.f.nm,"Укажите ваше имя, пожалуйста") != 1 )
		return;
	if( IsEmail(document.f.email) != 1 )
		return;
	if( IsWWW(document.f.www) != 1 )
		return;
	if( IsText(document.f.txt,"Введите текст объявления, пожалуйста") != 1 )
		return;
	document.forms['f'].submit();
	return true;
}
// проверка объявлений
function SubmitDoska2() {
	if( IsText(document.forms['fdsk'].nm,"Укажите ваше имя, пожалуйста") != 1 )
		return;
	if( IsEmail(document.getElementById('email')) != 1 )
		return;
	if( IsWWW(document.forms['fdsk'].www) != 1 )
		return;
	if( IsText(document.forms['fdsk'].txt,"Введите текст объявления, пожалуйста") != 1 )
		return;
	if( IsText(document.forms['fdsk'].code,"Введите цифры, указанные на картинке, пожалуйста") != 1 )
		return;
	document.forms['fdsk'].submit();
	return true;
}
// проверка гостевой
function SubmitGb() {
	if( IsText(document.f.nm,"Укажите ваше имя, пожалуйста") != 1 )
		return;
	if( IsEmail(document.f.email) != 1 )
		return;
	//if( IsWWW(document.f.www) != 1 )
	//        return;
	if( IsText(document.f.txt,"Введите текст сообщения, пожалуйста") != 1 )
		return;
	document.forms['f'].submit();
	return true;
}
// проверка гостевой
function SubmitGb2() {
	if( IsText(document.forms['fgb'].nm,"Укажите ваше имя, пожалуйста") != 1 )
		return;
	if( document.forms['fgb'].email && IsEmail(document.forms['fgb'].email) != 1 )
		return;
	if( document.forms['fgb'].www && IsWWW(document.forms['fgb'].www) != 1 )
		return;
	if( IsText(document.forms['fgb'].txt,"Введите текст сообщения, пожалуйста") != 1 )
		return;
	if( IsText(document.forms['fgb'].code,"Введите цифры, указанные на картинке, пожалуйста") != 1 )
		return;
	document.forms['fgb'].submit();
	return true;
}
// проверка формы о/с
function SubmitFeedback() {
	if( IsText(document.f.nm,"Укажите ваше имя, пожалуйста") != 1 )
		return;
	if( IsEmail(document.f.email) != 1 )
		return;
	if( IsText(document.f.txt,"Введите текст сообщения, пожалуйста") != 1 )
		return;
	document.forms['f'].submit();
	return true;
}
// проверка формы заказа
function SubmitBasketForm() {
	if( IsText(document.order.fio,"Укажите Ваше имя, пожалуйста") != 1 )
		return;
	if( IsEmail(document.order.email) != 1 )
		return;
	if( IsText(document.order.tel,"Укажите контактный телефон, пожалуйста") != 1 )
		return;
	document.forms['order'].submit();
	return true;
}
// проверка комментария
function SubmitComment(arg) {

	if( IsText(document.f.nm,"Укажите ваше имя, пожалуйста") != 1 )
		return;
	if( IsEmail(document.f.email) != 1 )
		return;
	if( IsText(document.f.txt,"Введите текст сообщения, пожалуйста") != 1 )
		return;
/*
	if( document.f.subcom.checked == true && document.f.email.value.length == 0 ){
		alert("Для получения комментариев введите адрес эл. почты")
		document.f.email.focus();
		return;
	}
*/
	if( IsText(document.f.code,"Введите цифры, указанные на картинке, пожалуйста") != 1 )
		return;
	document.forms['f'].submit();
	return true;
}

// проверка заявки на регистрацию
function SubmitReg() {
	if( IsText(document.regf.org,"Укажите название организации, пожалуйста") != 1 )
		return;
	if( IsText(document.regf.fio,"Укажите контактное лицо, пожалуйста") != 1 )
		return;
	if( IsText(document.regf.contact,"Укажите контактную информацию, пожалуйста") != 1 )
		return;
	if( IsText(document.regf.email,"Введите адрес электронной почты, пожалуйста") != 1 )
		return;
	if( IsEmail(document.regf.email) != 1 )
		return;
	document.forms['regf'].submit();
	return true;
}

// проверка адреса восстановления пароля
function SubmitPass() {
	if( IsText(document.passf.email,"Введите адрес электронной почты, пожалуйста") != 1 )
		return;
	if( IsEmail(document.passf.email) != 1 )
		return;
	document.forms['passf'].submit();
	return true;
}

// проверка ввода логина и пароля
function SubmitLogin() {
	if( IsText(document.logf.login,"Введите адрес электронной почты (логин), пожалуйста") != 1 )
		return;
	if( IsEmail(document.logf.email) != 1 )
		return;
	if( IsText(document.logf.passwd,"Введите пароль, пожалуйста") != 1 )
		return;
	document.forms['logf'].submit();
	return true;
}
// проверка ссылки
function SubmitLink() {
	if( IsText(document.f.nm,"Укажите название ресурса, пожалуйста") != 1 )
		return;
	if( IsText(document.f.txt,"Введите описание ресурса, пожалуйста") != 1 )
		return;
	if( IsText(document.f.www,"Укажите адрес ресурса, пожалуйста") != 1 )
		return;
	if( IsWWW(document.f.www) != 1 )
		return;
	document.forms['f'].submit();
	return true;
}
// проверка ссылки
function SubmitLink2() {
	if( IsText(document.f.nm,"Укажите название ресурса, пожалуйста") != 1 )
		return;
	if( IsText(document.f.txt,"Введите описание ресурса, пожалуйста") != 1 )
		return;
	if( IsText(document.f.www,"Укажите адрес ресурса, пожалуйста") != 1 )
		return;
	if( IsText(document.f.backurl,"Укажите адрес обратной ссылки, пожалуйста") != 1 )
		return;
	if( IsWWW(document.f.www) != 1 )
		return;
	if( IsWWW(document.f.backurl) != 1 )
		return;
	document.forms['f'].submit();
	return true;
}

// проверка формы
function check_frm(d) {
	var e;
	var o;
	var obj;
	var i;
	i=0;
	e = d.split(";");
	while ( e[i]!="" ){
		o = e[i].split("->");
		obj=document.getElementById("ff" + o[0]);
		if( IsText(obj,"Заполните, пожалуйста, поле: " + o[1]) != 1 ) return;
		i++;
	}
	document.forms['fb'].submit();
	return true;
}

function OpenImage(fn){
	w = 600;
	h = 400;
	size="height="+h+",width="+w+", status=no, toolbar=no, menubar=no, scrollbars=1'";
	//
	if (parseInt(navigator.appVersion)>3)
		size+=",left="+(screen.width -w)/2+",top="+parseInt((screen.height -h)/2);
	//
	url = "/show.photo/"+fn+"/";
	open(url, 'image_win', size);
}

function OpenImageCat(fn){
	w = 600;
	h = 400;
	size="height="+h+",width="+w+", status=no, toolbar=no, menubar=no, scrollbars=1'";
	//
	if (parseInt(navigator.appVersion)>3)
		size+=",left="+(screen.width -w)/2+",top="+parseInt((screen.height -h)/2);
	//
	url = "/show.image/"+fn+"/";
	open(url, 'image_win', size);
}

function OpenImageUp(fn){
	w = 600;
	h = 400;
	size="height="+h+",width="+w+", status=no, toolbar=no, menubar=no, scrollbars=1'";
	//
	if (parseInt(navigator.appVersion)>3)
		size+=",left="+(screen.width -w)/2+",top="+parseInt((screen.height -h)/2);
	//
	url = "/show.image.up/"+fn+"/";
	open(url, 'image_win', size);
}

function add2basket_(id,h,w) {
	var URL;
	var h = 1;
	var w = 1;
	size="height="+h+",width="+w+", status=no, toolbar=no, menubar=no, scrollbars=1'";
	size+=",left="+(screen.width -w)/2+",top="+parseInt((screen.height -h)/2);
	URL = '/add.2.basket/'+id+'/';
	newWindow = window.open(URL, 'displayWindow', size);
}

function add2basket(id,go_to) {
	var URL;
	var h = 200;
	var w = 260;
	var k =document.getElementById("basket_kol_"+id);
	size="height="+h+",width="+w+", status=no, toolbar=no, menubar=no, scrollbars=1'";
	size+=",left="+(screen.width -w)/2+",top="+parseInt((screen.height -h)/2);
	//alert(k.value);
	if(go_to){
		URL = '/add.2.basket/'+id+'/'+k.value+'/?url='+go_to;
	}
	else{
		URL = '/add.2.basket/'+id+'/'+k.value+'/';
	}
	newWindow = window.open( URL, 'displayWindow', size );
}

function add4basket(a,id,msg,go_to){
	var kobj = document.getElementById("basket_kol_"+id);
	var kol = kobj.value;
	img = new Image();
	img.src = '/add.3.basket/' + id + '/' + kol + '/';
	img.onload = add5basket(msg,go_to);
	if(msg) alert(msg);
	if(go_to) window.location.href = go_to;
}

function add5basket(msg,go_to){
	if(msg) alert(msg);
	if(go_to) window.location.href = go_to;
	return;
}

function add2fav(url,dsc){
	window.external.AddFavorite(url,dsc);
}

function add2home(url,obj){
	obj.style.behavior='url(#default#homepage)';
	obj.setHomePage(url);
}

// проверка корзинки
function check_basket2(d) {
	var e;
	var o;
	var obj;
	var i;
	if(d=="->"){
		document.forms['orderfrm'].submit();
		return;
	}
	//
	i=0;
	e = d.split(";");
	while ( e[i]!="" ){
		o = e[i].split("->");
		obj=document.getElementById("z" + o[0]);
		if(obj){
			if( IsText(obj,"Заполните, пожалуйста, поле: " + o[1]) != 1 ) return;
		}
		i++;
	}
	document.forms['orderfrm'].submit();
	return;
}
